package main

import (
	"net"
	"strconv"
)

func VLoopbackInf(t string) bool {
	i, e := strconv.Atoi(t)
	if e != nil {
		return false
	}
	if i < 0 || i > 7 {
		return false
	}
	return true
}

func VSubnetLen(t string) bool {
	i, e := strconv.Atoi(t)
	if e != nil {
		return false
	}
	if i < 1 || i > 31 {
		return false
	}
	return true
}

func VMTU(t string) bool {
	i, e := strconv.Atoi(t)
	if e != nil {
		return false
	}
	if i < 128 || i > 1500 {
		return false
	}
	return true
}

func VVlanInf(t string) bool {
	i, e := strconv.Atoi(t)
	if e != nil {
		return false
	}
	if i < 0 || i > 4095 {
		return false
	}
	return true
}

func VIPAddress(t string) bool {
	_, err := net.ResolveIPAddr("ip", t)
	return err == nil
}
